> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer ダウンロード動画 API 連携説明

> Producer Music Generation 集成指南 - XHuoAPI

Producer は私たちが曲に関連する動画をダウンロードすることを許可します。本ドキュメントでは関連 API の連携方法を説明します。

この API には一つの入力パラメータしかなく、それは `audio_id` です。これは曲の唯一のIDです。

ここで入力する `audio_id` は `a54609c6-13e2-4176-be0f-4d7eebc68e1f` で、Producer が生成した曲のIDです。

```bash theme={null}
curl -X POST 'https://api.xhuoapi.ai/v1/producer/videos' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

結果は以下の通りです：

```
{
  "success": true,
  "task_id": "1237fc8f-ed3f-41fd-a889-a737fd7777da",
  "trace_id": "19db6190-d9ef-4a4f-a102-9f51b611c8b5",
  "data": {
    "video_url": "https://storage.googleapis.com/corpusant-app-public/song-videos/a54609c6-13e2-4176-be0f-4d7eebc68e1f:5178f294b214798f7d38b810ac289be75306659be24af88900a633efce334012.mp4"
  }
}
```

`data` の `video_url` フィールドがダウンロード動画のリンクです。
